/*
 *  MSSQL Communication Library -- TDS Interface
 *
 *  (c) 1998 Arno Pedusaar <psaar@fenar.ee>
 *  (c) 1998 Martin Mares <mj@ucw.cz>
 */

#ifndef __TDS_H__
#define __TDS_H__

#define T_VOID 0x1f
#define T_BIT 0x32
#define T_DATETIME4 0x3a
#define T_DATETIME8 0x3d
#define T_DATETIMEN 0x6f
#define T_FLOAT4 0x3b
#define T_FLOAT8 0x3e
#define T_FLOATN 0x6d
#define T_IMAGE 0x22
#define T_INT1 0x30
#define T_INT2 0x34
#define T_INT4 0x38
#define T_INTN 0x26
#define T_MONEY4 0x7a
#define T_MONEY8 0x3c
#define T_MONEYN 0x6e
#define T_DECIMAL 0x6a
#define T_NUMERIC 0x6c
#define T_TEXT 0x23
#define T_BINARY 0x2d
#define T_VARBINARY 0x25
#define T_LONGBINARY 0xe1
#define T_CHAR 0x2f
#define T_VARCHAR 0x27
#define T_LONGCHAR 0xaf
#define T_SENSITIVITY 0x67
#define T_BOUNDARY 0x68

typedef struct TYPE_DESC
{
	int type;
	char *name;
} TYPE_DESC;

#define TOKEN_COL_NAMES 0xa0
#define TOKEN_COL_METADATA 0xa1
#define TOKEN_ROW_DATA 0xd1
#define TOKEN_ENV_CHANGE 0xe3
#define TOKEN_LOGIN_ACK 0xad
#define TOKEN_INFO 0xab
#define TOKEN_DONE1 0xfd
#define TOKEN_DONE2 0xfe
#define TOKEN_DONE3 0xff
#define TOKEN_ERROR 0xaa

#endif /* __TDS_H__ */
